import { bucketName, minioClient } from '@/modules/minio.ts';
import { S3Error } from 'minio';
const main = async () => {
  const res = await new Promise((resolve, reject) => {
    let res: any[] = [];
    let hasError = false;
    minioClient
      .listObjectsV2(bucketName, 'root/codeflow/0.0.1/')
      .on('data', (data) => {
        res.push(data);
      })
      .on('error', (err) => {
        console.error('error', err);
        hasError = true;
      })
      .on('end', () => {
        if (hasError) {
          reject();
          return;
        } else {
          resolve(res);
        }
      });
  });
  console.log(res);
};
// main();

const main2 = async () => {
  try {
    const obj = await minioClient.statObject(bucketName, 'root/codeflow/0.0.1/README.md');

    console.log(obj);
  } catch (e) {
    console.log('', e.message, '\n\r', e.code);
    // console.error(e);
  }
};

main2();
